<?php

require_once ('ACL.php');

echo "<pre>\n";

$t1=array("-disabled" => 0, "admin" => 1, "can_do_anything" => 1);
$t2=$t1; $t2["disabled"]=3;
$t3=$t1; $t3["--bad"]=1; $t3["a,b"]=1; $t3['negval']=-5;

$acl1=new ACL($t1);
// $acl2=new ACL($t2); // Enabling this emits a warning in the log
$acl3=new ACL($t3);

echo "ACL1 = "; echo $acl1 . "\n";
echo "Verify positive (array) : " .
     ($acl1->test(array("admin" => 1, "can_do_anything" => 3))?"OK":"FAIL") .
     "\n";
echo "Verify missing (array)  : " .
     ($acl1->test(array("admin" => 1))?"FAIL":"OK").
     "\n";
echo "Verify negative (array) : " .
     ($acl1->test(array("admin" => 1, "disabled" => 0, "can_do_anything" => 0))?"FAIL":"OK").
     "\n";

echo "Verify positive (string) : " .
     ($acl1->test("admin=2,can_do_anything=1,mikey,foo=,|bar,z=a,y=06")?"OK":"FAIL") .
     "\n";
echo "Verify missing (string)  : " .
     ($acl1->test("admin=1,test=-3")?"FAIL":"OK").
     "\n";
echo "Verify negative (string) : " .
     ($acl1->test("admin=1,disabled=0,can_do_anything=8")?"FAIL":"OK").
     "\n";

echo "ACL3 = " . $acl3 . "\n";

echo "</pre>\n";
